﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ellab.Charting
{
    public enum SeriesType
    {
        LineSeries,
        PointSeries,
        ShapeSeries
    }

    internal class SeriesFactory
    {
        public static ISeries CreateSeries(SeriesType type, Chart chart, string name, string unit)
        {
            switch (type)
            {
                case SeriesType.LineSeries:
                    return LineSeries.Create(chart, name, unit);
                case SeriesType.PointSeries:
                    return PointSeries.Create(chart, name, unit);
                case SeriesType.ShapeSeries:
                    return ShapeSeries.Create(chart, name, unit);
                default:
                    return null;
            }
        }
    }
}
