﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace Ellab.Charting
{
    public enum ToolType
    {
        Annotation,
        ColorLine,
        MarksTip,
        NearestPoint
    }

    internal class ToolFactory
    {
        public static ITool CreateTool(ToolType type, Chart chart, string name)
        {
            switch (type)
            {
                case ToolType.Annotation:
                    return Annotation.Create(chart, name, "");
                case ToolType.ColorLine:
                    return ColorLine.Create(chart, name, chart.HorizontalAxis, 0.0, Color.Black);
                case ToolType.MarksTip:
                    return MarksTip.Create(chart, name);
                case ToolType.NearestPoint:
                    return NearestPoint.Create(chart, name);
                default:
                    return null;
            }
        }
    }
}
